public static class

SearchSiteAction.CriteriaParameters

extends Object
java.lang.Object
   ↳ com.atlassian.confluence.search.actions.SearchSiteAction.CriteriaParameters

Class Overview

A Class used to represent the different criteria restriction links that are displayed along with the search results.

Summary

Public Constructors
SearchSiteAction.CriteriaParameters(String labelKey, String queryString, String spaceKey, ContentTypeEnum type, DateRangeEnum lastModified, String contributor, String contributorUsername)
Public Methods
String getContributor()
String getContributorUsername()
String getLabelKey()
DateRangeEnum getLastModified()
String getQueryParameters()
String getQueryString()
String getSpaceKey()
ContentTypeEnum getType()
[Expand]
Inherited Methods
From class java.lang.Object

Public Constructors

public SearchSiteAction.CriteriaParameters (String labelKey, String queryString, String spaceKey, ContentTypeEnum type, DateRangeEnum lastModified, String contributor, String contributorUsername)

Public Methods

public String getContributor ()

public String getContributorUsername ()

public String getLabelKey ()

public DateRangeEnum getLastModified ()

public String getQueryParameters ()

Returns
  • the search as query parameters. Clients are expected to have a url delimiter at the end of the url before appending the output of this method

public String getQueryString ()

public String getSpaceKey ()

public ContentTypeEnum getType ()